@import url("https://fonts.googleapis.com/css2?family=Manrope&family=Montserrat:wght@800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  overflow: hidden;
  font-family: "Manrope", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;

  background-color: black;
}
body.closing * {
  transition: opacity 3s ease-in-out !important;
  opacity: 0;
}

.video {
  position: absolute;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
}
.scanlines {
  position: absolute;
  inset: 0;
  pointer-events: none;
  z-index: 200;
}
.scanlines img {
  width: 100vw;
  height: 100vh;

  object-fit: cover;
}

.image {
  position: absolute;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
}

.image .background {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.image .loading-texture {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  object-fit: fill;
}

.map-info {
  position: absolute;
  z-index: 2;
  top: 15%;
  left: 11%;
  color: white;
  text-shadow: 1px 1px 0px rgba(0, 0, 0, 1);

  transition: opacity 1s ease-in-out;
}
.map-info .filler {
  width: fit-content;
  aspect-ratio: 390 / 80;
  margin-bottom: 20px;
  opacity: 0;
}
.map-info .logo {
  position: absolute;
  width: fit-content;

  top: 0;
  left: 0;
}
.map-info .logo img {
  aspect-ratio: 390 / 80;
  /* height: auto; */
  margin: auto;
}
/* center logo image when opacity is 1 */
.map-info.opacity-0 {
  transition:
    top 3s ease-in-out 3s,
    left 3s ease-in-out 3s,
    transform 3s ease-in-out 3s,
    margin 3s ease-in-out 3s;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -25%);
}
.map-info.opacity-0 .logo {
  transition:
    top 3s ease-in-out 3s,
    left 3s ease-in-out 3s,
    transform 3s ease-in-out 3s,
    margin 3s ease-in-out 3s;
  top: 0%;
  left: 50%;
  transform: translate(-50%, 0%);
}
.map-info.opacity-0 .logo {
  /* margin: 0 auto; */
}
.map-info.opacity-0 .logo img {
  /* transition: transform 3s ease-in-out 3s; */
  animation: pulse 3s ease-in-out infinite;
  animation-delay: 3s;
}
.logo .line {
  width: 0px;
  height: 2px;
  background-color: white;
  display: block;
  position: absolute;
}
.map-info.opacity-0 .logo .line {
  transition: width 3s ease-in-out 5s;
  width: 100%;
}
.logo .line.right {
  top: 50%;
  right: -20px;
  background: linear-gradient(to right, #ba60bc, transparent);
  transform: translate(100%, -50%);
}
.logo .line.left {
  top: 50%;
  left: -20px;
  background: linear-gradient(to left, #ba60bc, transparent);
  transform: translate(-105%, -50%);
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.05);
  }
  100% {
    transform: scale(1);
  }
}

.map-details {
  margin-top: 20px;
  margin-bottom: 20px;
}
.map-details h1 {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 800;
  font-style: normal;
  font-size: 36px;

  margin-bottom: 12px;
}

.map-details p {
  font-size: 18px;
  max-width: 600px;
  color: #bdbdbd;
}
.map-details p.map-id {
  font-size: 12px;
  color: rgba(134, 134, 134, 0.8);
  text-shadow: none;
}

.opacity-0 .will-hide {
  transition: opacity 3s ease-in-out;
  opacity: 0;
}
.opacity-100 .will-hide {
  transition: opacity 3s ease-in-out;
  opacity: 1;
}
